import java.util.LinkedList; // Need for LinkedList

public class Stack {
  
  /** Where we store the elements */
  private LinkedList elements;
  
  /// Constructor ////
  public Stack() {
    elements = new LinkedList();
  }
  
  //// Methods ///
  public void push(Object element){
    // New elements go at the front
    elements.addFirst(element);
  }
  
  public Object peek(){
    return elements.getFirst();
  }
  
  public Object pop(){
    Object toReturn = this.peek();
    elements.removeFirst();
    return toReturn;
  }
  
  public int size(){return elements.size();}
}
